using ErsatzTV.Application.Configuration;

namespace ErsatzTV.Controllers.Api.Requests;

public record UpdatePlayoutSettingsRequest(int DaysToBuild, bool SkipMissingItems, int ScriptedScheduleTimeoutSeconds)
{
    public UpdatePlayoutSettings ToCommand() =>
        new(
            new PlayoutSettingsViewModel
            {
                DaysToBuild = DaysToBuild,
                SkipMissingItems = SkipMissingItems,
                ScriptedScheduleTimeoutSeconds = ScriptedScheduleTimeoutSeconds
            });
}
